#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mpc
Version		:	1.3.1
Release		:	16.2.0.rel%{?dist}
Summary		:	A C library for for the arithmetic of complex numbers with arbitrarily high precision
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3
URL		:	http://www.multiprecision.org/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Gnu Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It extends the principles
of the IEEE-754 standard for fixed precision real floating point numbers to
complex numbers, providing well-defined semantics for every operation.
At the same time, speed of operation at high precision is a major design goal.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING.LESSER NEWS README TODO
%{_includedir}/%{name}.h
%{_libdir}/lib{%name}.so*
%{_infodir}/%{name}.info.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%{__make} %{_smp_mflags}
%{__make} html

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__make} DESTDIR=%{buildroot} install html

%{__rm} -fr %{buildroot}%{_infodir}/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
